%define	name	ipmitool
%define	version	1.5.9
%define	release	5mdk
%define	lib_major	1
%define	lib_name	%mklibname %{name} %{lib_major}

Summary:	Utility for interfacing with IPMI devices
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://optusnet.dl.sourceforge.net/sourceforge/ipmitool/%{name}-%{version}.tar.gz
Patch0:		ipmitool-1.5.9-include.patch
License:	GPL
Group:		System/Kernel and hardware
Url:		http://ipmitool.sourceforge.net/ 
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	%{lib_name} = %{version}-%{release} IPMI

%description
IPMI stands for Intelligent Platform Management Interface 
and is an open standard for machine health, and control (including remote control), 
and is implemented by many hardware vendors - Intel is one of the originators, 
and early adopters of the standard.
This package contains a utility for interfacing with IPMI-enabled devices
through either the OpenIPMI kernel driver or with IPMI-over-LAN protocol.
These functions include printing FRU(Field Replaceable Unit) information,
LAN configuration, sensor readings, and remote chassis power control. 

%package -n	%{lib_name}
Summary:	Library associated with ipmitool.
Group:		System/Libraries
Provides:	%{lib_name} = %{version}-%{release}

%description -n	%{lib_name}
This library is mandatory for ipmitool.


%package -n	%{lib_name}-devel
Summary:	Development package with static libs and headers
Group:		Development/C
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{lib_name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
Static libraries and header files required for compiling ipmitool plugins.

%prep
%setup -q
%patch0

%build
./configure \
        --enable-ipmievd \
        --enable-intf-lan \
        --enable-intf-open \
        --with-kerneldir=/usr/src/linux \
        --prefix=%{_prefix} \
        --bindir=%{_bindir} \
        --datadir=%{_datadir} \
        --includedir=%{_includedir} \
        --libdir=%{_libdir} \
        --mandir=%{_mandir} \
        --sysconfdir=%{_sysconfdir} \
        --with-plugin-path=%{_libdir}/ipmitool
make


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/%{name}/lib*.so

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_includedir}/%{name}/*
%{_libdir}/%{name}/lib*.a
%{_libdir}/%{name}/lib*.la

%changelog
* Wed Aug 18 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.5.9-5mdk
- lib64 fixes

* Fri Aug 13 2004 Erwan Velu <erwan@mandrakesoft.com> 1.5.9-4mdk
- Fixing description
* Wed Aug 11 2004 Erwan Velu <erwan@mandrakesoft.com> 1.5.9-3mdk
- Requires IPMI
* Thu Jul 15 2004 Erwan Velu <erwan@mandrakesoft.com> 1.5.9-2mdk
- Fixing versionning of libs
- Fixing requires
* Thu Jul 15 2004 Erwan Velu <erwan@mandrakesoft.com> 1.5.9-1mdk
- Initial MDK Release
